
Getting Started - Bug # 6180

Status: New Priority: -- undefined --
Author: Lukas Lentner Category:
Created: 2010-01-22 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Subject: Bugs in Getting-Started-Tutorial
Description

    -  im Template für das Bearbeiten von Blogs stimmt das for Attribut im Label-Tag von "Titel" nicht:

<label for="*name*">Title <span class="required">(required)</...
<f:form.textbox property="title" id="*title*" />

    -  die adressierung der Resourcen im Layout wird mit "path: " gemacht:

<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <f:base />
        <title>{blog.title}</title>
        <link rel="stylesheet" href="{*f:uri.resource('Blog.css')*}" type="text/css" />
    </head>
    <body>
        <div id="header">
            <f:if condition="{blog}">
                <f:link.action action="index" controller="Post" arguments="{blog: blog}">
                    <h1 class="title">{blog.title}</h1></f:link.action>
                <p class="description">{blog.description}</p>
            </f:if>
        </div>
        <div id="maincontainer">
            <div id="mainbox"><f:render section="mainbox" /></div>
            <div class="clear"></div>
        </div>
        <div id="footer">
            <a href="http://flow3.typo3.org">Powered by FLOW3 
                <img src="{*f:uri.resource('FLOW3-Logo-11px.png')*}" width="11" height="11" />
            </a>
        </div>
    </body>
</html>

    -  Hat man den NICHT-Validierungsbefehl noch nicht geschrieben (10.3. Validating Updated Arguments) gibt es keinen
Formatierten Fehler UND er kommt schon beim Aufrufen des Edit-Formulars und nicht beim Abschicken!

History
#1 - 2010-01-22 18:49 - Lukas Lentner
- Assigned To set to Robert Lemke
- Target version set to 1.0 alpha 7

#2 - 2010-01-25 16:17 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- Target version changed from 1.0 alpha 7 to 1.0 alpha 8

The first point is fixed in SVN, the second was already fixed but the tutorial on the website was updated only earlier today.

#3 - 2010-01-25 16:19 - Karsten Dambekalns
- Status changed from Accepted to New
- Assigned To changed from Karsten Dambekalns to Robert Lemke
- % Done changed from 0 to 60

#4 - 2010-01-25 16:21 - Karsten Dambekalns
- Project changed from TYPO3.Flow to Getting Started
- Category deleted (- Documentation -)
- Target version deleted (1.0 alpha 8)
